This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 329901 - selinux prevents audio restoring on startup
selinux prevents audio restoring on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-10-12 15:05 EDT by Bill Nottingham
Modified: 2014-03-16 23:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 15:33:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-12 15:05:46 EDT
Description of problem:

audit(...): avc: denied { search } for pid=1269 comm="salsa" name="sbin"
dev=dm=0 ino=<whatever> scontext=system_u:system_r:alsa_t:s0-s0:c0.c0123
tcontext=system_u:object_r:bin_t:s0 tclass=dir

Prevents restoring of mixer settings on startup

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.0.8-20.fc8
alsa-utils-1.0.15-0.4.rc1.fc8

Additional info:

When running in enforcing=0, there is an additional avc:

audit(): avc: denied {execute_no_trans) for pid=1473 comm="salsa"
path="/sbin/alsactl" dev=dm-0 ino=<whatever>
scontext=system_u:system_r:alsa_t:s0-s0:c0.c1023
tcontext=system_u:objecvt_r:alsa_exec_t:s0 tclass=file
Comment 1 Daniel Walsh 2007-10-15 13:20:08 EDT
Fixed in selinux-policy-targeted-3.0.8-22.fc8
Comment 2 Bill Nottingham 2007-10-15 22:41:02 EDT
Still broken.

avc: deinied {execute} for pid=1936 comm="salsa" name="alsaunmute" dev=dm-0
ino=<whatever> scontext=system_u:system_r:alsa_t:s0-s0:c0.c1024
tcontext=system_u:object_r:bin_t:s0 tclass=file

Presumably alsaunmute needs alsa_exec_t.
Comment 3 Daniel Walsh 2007-10-16 23:51:32 EDT
selinux-policy-targeted-3.0.8-24.fc8
Comment 4 Bill Nottingham 2007-10-22 15:33:45 EDT
Seems to work for me with -28.

Note You need to log in before you can comment on or make changes to this bug.